package cn.iocoder.yudao.module.system.service.mqtt;

import cn.iocoder.yudao.module.system.api.path.PathApi;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
@Slf4j
public class PlanningSimulationRobotPoseRequestServiceImpl  implements MqttService{

    @Resource
    private PathApi pathApi;

    @Override
    public void analysisMessage(String message) {
        log.info("收到仿真初始化点位的消息 :{}",message);
        pathApi.simulationRobotPoseRequest(message);
    }

}
